Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class ARBShaderObjects

    java.lang.Object
      org.lwjgl.opengl.ARBShaderObjects

    public final class ARBShaderObjects

extends java.lang.Object

Field Summary
`static int` | `GL_BOOL_ARB`
`static int` | `GL_BOOL_VEC2_ARB`
`static int` | `GL_BOOL_VEC3_ARB`
`static int` | `GL_BOOL_VEC4_ARB`
`static int` | `GL_FLOAT` Returned by the <type> parameter of GetActiveUniformARB:
`static int` | `GL_FLOAT_MAT2_ARB`
`static int` | `GL_FLOAT_MAT3_ARB`
`static int` | `GL_FLOAT_MAT4_ARB`
`static int` | `GL_FLOAT_VEC2_ARB`
`static int` | `GL_FLOAT_VEC3_ARB`
`static int` | `GL_FLOAT_VEC4_ARB`
`static int` | `GL_INT`
`static int` | `GL_INT_VEC2_ARB`
`static int` | `GL_INT_VEC3_ARB`
`static int` | `GL_INT_VEC4_ARB`
`static int` | `GL_OBJECT_ACTIVE_UNIFORM_MAX_LENGTH_ARB`
`static int` | `GL_OBJECT_ACTIVE_UNIFORMS_ARB`
`static int` | `GL_OBJECT_ATTACHED_OBJECTS_ARB`
`static int` | `GL_OBJECT_COMPILE_STATUS_ARB`
`static int` | `GL_OBJECT_DELETE_STATUS_ARB`
`static int` | `GL_OBJECT_INFO_LOG_LENGTH_ARB`
`static int` | `GL_OBJECT_LINK_STATUS_ARB`
`static int` | `GL_OBJECT_SHADER_SOURCE_LENGTH_ARB`
`static int` | `GL_OBJECT_SUBTYPE_ARB`
`static int` | `GL_OBJECT_TYPE_ARB` Accepted by the <pname> parameter of GetObjectParameter{fi}vARB:
`static int` | `GL_OBJECT_VALIDATE_STATUS_ARB`
`static int` | `GL_PROGRAM_OBJECT_ARB` Accepted by the <pname> argument of GetHandleARB:
`static int` | `GL_SAMPLER_1D_ARB`
`static int` | `GL_SAMPLER_1D_SHADOW_ARB`
`static int` | `GL_SAMPLER_2D_ARB`
`static int` | `GL_SAMPLER_2D_RECT_ARB`
`static int` | `GL_SAMPLER_2D_RECT_SHADOW_ARB`
`static int` | `GL_SAMPLER_2D_SHADOW_ARB`
`static int` | `GL_SAMPLER_3D_ARB`
`static int` | `GL_SAMPLER_CUBE_ARB`
`static int` | `GL_SHADER_OBJECT_ARB` Returned by the <params> parameter of GetObjectParameter{fi}vARB:

Method Summary
`static void` | `glAttachObjectARB(int containerObj, int obj)`
`static void` | `glCompileShaderARB(int shaderObj)`
`static int` | `glCreateProgramObjectARB()`
`static int` | `glCreateShaderObjectARB(int shaderType)`
`static void` | `glDeleteObjectARB(int obj)`
`static void` | `glDetachObjectARB(int containerObj, int attachedObj)`
`static void` | `glGetActiveUniformARB(int programObj, int index, java.nio.IntBuffer length, java.nio.IntBuffer size, java.nio.IntBuffer type, java.nio.ByteBuffer name)`
`static void` | `glGetAttachedObjectsARB(int containerObj, java.nio.IntBuffer count, java.nio.IntBuffer obj)`
`static int` | `glGetHandleARB(int pname)`
`static void` | `glGetInfoLogARB(int obj, java.nio.IntBuffer length, java.nio.ByteBuffer infoLog)`
`static void` | `glGetObjectParameterARB(int obj, int pname, java.nio.FloatBuffer params)`
`static void` | `glGetObjectParameterARB(int obj, int pname, java.nio.IntBuffer params)`
`static void` | `glGetShaderSourceARB(int obj, java.nio.IntBuffer length, java.nio.ByteBuffer source)`
`static void` | `glGetUniformARB(int programObj, int location, java.nio.FloatBuffer params)`
`static void` | `glGetUniformARB(int programObj, int location, java.nio.IntBuffer params)`
`static int` | `glGetUniformLocationARB(int programObj, java.nio.ByteBuffer name)` Returns the location of the uniform with the specified name.
`static void` | `glLinkProgramARB(int programObj)`
`static void` | `glShaderSourceARB(int shader, java.nio.ByteBuffer string)` The ARB_shader_objects extension allows multiple, optionally null-terminated, source strings to define a shader program.
`static void` | `glUniform1ARB(int location, java.nio.FloatBuffer values)`
`static void` | `glUniform1ARB(int location, java.nio.IntBuffer values)`
`static void` | `glUniform1fARB(int location, float v0)`
`static void` | `glUniform1iARB(int location, int v0)`
`static void` | `glUniform2ARB(int location, java.nio.FloatBuffer values)`
`static void` | `glUniform2ARB(int location, java.nio.IntBuffer values)`
`static void` | `glUniform2fARB(int location, float v0, float v1)`
`static void` | `glUniform2iARB(int location, int v0, int v1)`
`static void` | `glUniform3ARB(int location, java.nio.FloatBuffer values)`
`static void` | `glUniform3ARB(int location, java.nio.IntBuffer values)`
`static void` | `glUniform3fARB(int location, float v0, float v1, float v2)`
`static void` | `glUniform3iARB(int location, int v0, int v1, int v2)`
`static void` | `glUniform4ARB(int location, java.nio.FloatBuffer values)`
`static void` | `glUniform4ARB(int location, java.nio.IntBuffer values)`
`static void` | `glUniform4fARB(int location, float v0, float v1, float v2, float v3)`
`static void` | `glUniform4iARB(int location, int v0, int v1, int v2, int v3)`
`static void` | `glUniformMatrix2ARB(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`static void` | `glUniformMatrix3ARB(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`static void` | `glUniformMatrix4ARB(int location, boolean transpose, java.nio.FloatBuffer matrices)`
`static void` | `glUseProgramObjectARB(int programObj)`
`static void` | `glValidateProgramARB(int programObj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_PROGRAM_OBJECT_ARB

    public static final int GL_PROGRAM_OBJECT_ARB

  Accepted by the <pname> argument of GetHandleARB:

  See Also:
    Constant Field Values

### GL_OBJECT_TYPE_ARB

    public static final int GL_OBJECT_TYPE_ARB

  Accepted by the <pname> parameter of GetObjectParameter{fi}vARB:

  See Also:
    Constant Field Values

### GL_OBJECT_SUBTYPE_ARB

    public static final int GL_OBJECT_SUBTYPE_ARB

See Also:
  Constant Field Values

### GL_OBJECT_DELETE_STATUS_ARB

    public static final int GL_OBJECT_DELETE_STATUS_ARB

See Also:
  Constant Field Values

### GL_OBJECT_COMPILE_STATUS_ARB

    public static final int GL_OBJECT_COMPILE_STATUS_ARB

See Also:
  Constant Field Values

### GL_OBJECT_LINK_STATUS_ARB

    public static final int GL_OBJECT_LINK_STATUS_ARB

See Also:
  Constant Field Values

### GL_OBJECT_VALIDATE_STATUS_ARB

    public static final int GL_OBJECT_VALIDATE_STATUS_ARB

See Also:
  Constant Field Values

### GL_OBJECT_INFO_LOG_LENGTH_ARB

    public static final int GL_OBJECT_INFO_LOG_LENGTH_ARB

See Also:
  Constant Field Values

### GL_OBJECT_ATTACHED_OBJECTS_ARB

    public static final int GL_OBJECT_ATTACHED_OBJECTS_ARB

See Also:
  Constant Field Values

### GL_OBJECT_ACTIVE_UNIFORMS_ARB

    public static final int GL_OBJECT_ACTIVE_UNIFORMS_ARB

See Also:
  Constant Field Values

### GL_OBJECT_ACTIVE_UNIFORM_MAX_LENGTH_ARB

    public static final int GL_OBJECT_ACTIVE_UNIFORM_MAX_LENGTH_ARB

See Also:
  Constant Field Values

### GL_OBJECT_SHADER_SOURCE_LENGTH_ARB

    public static final int GL_OBJECT_SHADER_SOURCE_LENGTH_ARB

See Also:
  Constant Field Values

### GL_SHADER_OBJECT_ARB

    public static final int GL_SHADER_OBJECT_ARB

  Returned by the <params> parameter of GetObjectParameter{fi}vARB:

  See Also:
    Constant Field Values

### GL_FLOAT

    public static final int GL_FLOAT

  Returned by the <type> parameter of GetActiveUniformARB:

  See Also:
    Constant Field Values

### GL_FLOAT_VEC2_ARB

    public static final int GL_FLOAT_VEC2_ARB

See Also:
  Constant Field Values

### GL_FLOAT_VEC3_ARB

    public static final int GL_FLOAT_VEC3_ARB

See Also:
  Constant Field Values

### GL_FLOAT_VEC4_ARB

    public static final int GL_FLOAT_VEC4_ARB

See Also:
  Constant Field Values

### GL_INT

    public static final int GL_INT

See Also:
  Constant Field Values

### GL_INT_VEC2_ARB

    public static final int GL_INT_VEC2_ARB

See Also:
  Constant Field Values

### GL_INT_VEC3_ARB

    public static final int GL_INT_VEC3_ARB

See Also:
  Constant Field Values

### GL_INT_VEC4_ARB

    public static final int GL_INT_VEC4_ARB

See Also:
  Constant Field Values

### GL_BOOL_ARB

    public static final int GL_BOOL_ARB

See Also:
  Constant Field Values

### GL_BOOL_VEC2_ARB

    public static final int GL_BOOL_VEC2_ARB

See Also:
  Constant Field Values

### GL_BOOL_VEC3_ARB

    public static final int GL_BOOL_VEC3_ARB

See Also:
  Constant Field Values

### GL_BOOL_VEC4_ARB

    public static final int GL_BOOL_VEC4_ARB

See Also:
  Constant Field Values

### GL_FLOAT_MAT2_ARB

    public static final int GL_FLOAT_MAT2_ARB

See Also:
  Constant Field Values

### GL_FLOAT_MAT3_ARB

    public static final int GL_FLOAT_MAT3_ARB

See Also:
  Constant Field Values

### GL_FLOAT_MAT4_ARB

    public static final int GL_FLOAT_MAT4_ARB

See Also:
  Constant Field Values

### GL_SAMPLER_1D_ARB

    public static final int GL_SAMPLER_1D_ARB

See Also:
  Constant Field Values

### GL_SAMPLER_2D_ARB

    public static final int GL_SAMPLER_2D_ARB

See Also:
  Constant Field Values

### GL_SAMPLER_3D_ARB

    public static final int GL_SAMPLER_3D_ARB

See Also:
  Constant Field Values

### GL_SAMPLER_CUBE_ARB

    public static final int GL_SAMPLER_CUBE_ARB

See Also:
  Constant Field Values

### GL_SAMPLER_1D_SHADOW_ARB

    public static final int GL_SAMPLER_1D_SHADOW_ARB

See Also:
  Constant Field Values

### GL_SAMPLER_2D_SHADOW_ARB

    public static final int GL_SAMPLER_2D_SHADOW_ARB

See Also:
  Constant Field Values

### GL_SAMPLER_2D_RECT_ARB

    public static final int GL_SAMPLER_2D_RECT_ARB

See Also:
  Constant Field Values

### GL_SAMPLER_2D_RECT_SHADOW_ARB

    public static final int GL_SAMPLER_2D_RECT_SHADOW_ARB

See Also:
  Constant Field Values

Method Detail

### glDeleteObjectARB

    public static void glDeleteObjectARB(int obj)

### glGetHandleARB

    public static int glGetHandleARB(int pname)

### glDetachObjectARB

    public static void glDetachObjectARB(int containerObj,
                                         int attachedObj)

### glCreateShaderObjectARB

    public static int glCreateShaderObjectARB(int shaderType)

### glShaderSourceARB

    public static void glShaderSourceARB(int shader,
                                         java.nio.ByteBuffer string)

  The ARB_shader_objects extension allows multiple, optionally null-terminated, source strings to define a shader program.

  This method uses just a single string, that should NOT be null-terminated.

### glCompileShaderARB

    public static void glCompileShaderARB(int shaderObj)

### glCreateProgramObjectARB

    public static int glCreateProgramObjectARB()

### glAttachObjectARB

    public static void glAttachObjectARB(int containerObj,
                                         int obj)

### glLinkProgramARB

    public static void glLinkProgramARB(int programObj)

### glUseProgramObjectARB

    public static void glUseProgramObjectARB(int programObj)

### glValidateProgramARB

    public static void glValidateProgramARB(int programObj)

### glUniform1fARB

    public static void glUniform1fARB(int location,
                                      float v0)

### glUniform2fARB

    public static void glUniform2fARB(int location,
                                      float v0,
                                      float v1)

### glUniform3fARB

    public static void glUniform3fARB(int location,
                                      float v0,
                                      float v1,
                                      float v2)

### glUniform4fARB

    public static void glUniform4fARB(int location,
                                      float v0,
                                      float v1,
                                      float v2,
                                      float v3)

### glUniform1iARB

    public static void glUniform1iARB(int location,
                                      int v0)

### glUniform2iARB

    public static void glUniform2iARB(int location,
                                      int v0,
                                      int v1)

### glUniform3iARB

    public static void glUniform3iARB(int location,
                                      int v0,
                                      int v1,
                                      int v2)

### glUniform4iARB

    public static void glUniform4iARB(int location,
                                      int v0,
                                      int v1,
                                      int v2,
                                      int v3)

### glUniform1ARB

    public static void glUniform1ARB(int location,
                                     java.nio.FloatBuffer values)

### glUniform2ARB

    public static void glUniform2ARB(int location,
                                     java.nio.FloatBuffer values)

### glUniform3ARB

    public static void glUniform3ARB(int location,
                                     java.nio.FloatBuffer values)

### glUniform4ARB

    public static void glUniform4ARB(int location,
                                     java.nio.FloatBuffer values)

### glUniform1ARB

    public static void glUniform1ARB(int location,
                                     java.nio.IntBuffer values)

### glUniform2ARB

    public static void glUniform2ARB(int location,
                                     java.nio.IntBuffer values)

### glUniform3ARB

    public static void glUniform3ARB(int location,
                                     java.nio.IntBuffer values)

### glUniform4ARB

    public static void glUniform4ARB(int location,
                                     java.nio.IntBuffer values)

### glUniformMatrix2ARB

    public static void glUniformMatrix2ARB(int location,
                                           boolean transpose,
                                           java.nio.FloatBuffer matrices)

### glUniformMatrix3ARB

    public static void glUniformMatrix3ARB(int location,
                                           boolean transpose,
                                           java.nio.FloatBuffer matrices)

### glUniformMatrix4ARB

    public static void glUniformMatrix4ARB(int location,
                                           boolean transpose,
                                           java.nio.FloatBuffer matrices)

### glGetObjectParameterARB

    public static void glGetObjectParameterARB(int obj,
                                               int pname,
                                               java.nio.FloatBuffer params)

### glGetObjectParameterARB

    public static void glGetObjectParameterARB(int obj,
                                               int pname,
                                               java.nio.IntBuffer params)

### glGetInfoLogARB

    public static void glGetInfoLogARB(int obj,
                                       java.nio.IntBuffer length,
                                       java.nio.ByteBuffer infoLog)

### glGetAttachedObjectsARB

    public static void glGetAttachedObjectsARB(int containerObj,
                                               java.nio.IntBuffer count,
                                               java.nio.IntBuffer obj)

### glGetUniformLocationARB

    public static int glGetUniformLocationARB(int programObj,
                                              java.nio.ByteBuffer name)

  Returns the location of the uniform with the specified name. The ByteBuffer should contain the uniform name as a null-terminated string.

  Parameters:
    `programObj` -
    `name` -

### glGetActiveUniformARB

    public static void glGetActiveUniformARB(int programObj,
                                             int index,
                                             java.nio.IntBuffer length,
                                             java.nio.IntBuffer size,
                                             java.nio.IntBuffer type,
                                             java.nio.ByteBuffer name)

### glGetUniformARB

    public static void glGetUniformARB(int programObj,
                                       int location,
                                       java.nio.FloatBuffer params)

### glGetUniformARB

    public static void glGetUniformARB(int programObj,
                                       int location,
                                       java.nio.IntBuffer params)

### glGetShaderSourceARB

    public static void glGetShaderSourceARB(int obj,
                                            java.nio.IntBuffer length,
                                            java.nio.ByteBuffer source)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.